Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "3cffc308-7811-490c-8bca-96ebc36ec15e",
"date_start": "2026-11-13T18:01:35.1042942+00:00",
"date_end": "2026-11-13T18:01:35.1042942+00:00",
"modified_dateutc": "2026-11-13T18:01:35.1042942+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "a0be0e43-5084-40b9-b49b-01a886e2d42d",
"user_code": "sample string 8",
"user": {
"id": "a7dabd27-c3ac-4c89-8442-3cfa7a25ead5",
"db_language_id": "7332ea4c-2f6c-4c29-b928-30da0e7c711b",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-13T18:01:35.1042942+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "6135de9d-e7f4-419a-a07d-9390fb72f959",
"sales_organization": {
"id": "ff0c9b44-9534-4c03-a68c-da25c6738a8a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d41500b8-2cd0-4747-ae9d-f55e01feb246",
"db_currency_id": "ccf01a4d-3bcc-49da-bab0-0e458a4529b0",
"db_language_id": "82da8fb1-8069-4671-8b37-a7dceb2cadac",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T18:01:35.1042942+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "3ef824cd-6853-46bc-b225-fd1ce13aed51",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "cb9be26d-741d-4f8f-9d7f-7aa7e1e8e854",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-13T18:01:35.1042942+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "47fc3411-e9b0-420e-863d-e5c617e23208"
},
"user_unavailability_type_id": "38ff4b32-a886-4618-8f5c-3f2c198f5255",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "0932ab31-999e-4d9a-b521-a4aeacd0d74a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "e2386354-3ea1-41c5-aebb-5f62718172b4",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ff0c9b44-9534-4c03-a68c-da25c6738a8a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d41500b8-2cd0-4747-ae9d-f55e01feb246",
"db_currency_id": "ccf01a4d-3bcc-49da-bab0-0e458a4529b0",
"db_language_id": "82da8fb1-8069-4671-8b37-a7dceb2cadac",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T18:01:35.1042942+00:00"
},
"modified_dateutc": "2026-11-13T18:01:35.1042942+00:00"
}
}